NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Weld::GrooveBuilder Class Reference

Represents a Groove Weld feature
To create a new instance of this class, use NXOpen::Weld::WeldManager::CreateWeldGrooveBuilder

Created in NX5.0.0. More...

Inheritance diagram for NXOpen::Weld::GrooveBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

NXOpen::Weld::WeldGrooveExtension BottomExtension ()
 Returns the extension method for the bottom edges
More...
 
NXOpen::Weld::WeldContourShape ContourShape ()
 Returns the contour contour shape. More...
 
NXOpen::ExpressionDistanceFromEnd ()
 Returns the distance from the end of the faces to build the groove weld
More...
 
NXOpen::ExpressionDistanceFromStart ()
 Returns the distance from the start of the faces to build the groove weld
More...
 
NXOpen::ScCollectorFirstFaceset ()
 Returns the first set of faces
More...
 
NXOpen::SectionFirstFacesetBottomEdges ()
 Returns the first set bottom edges to extend
More...
 
NXOpen::Point3d FirstFacesetHelpPoint ()
 Returns the first set help point. More...
 
NXOpen::SectionFirstFacesetTopEdges ()
 Returns the first set top edges to extend
More...
 
NXOpen::ExpressionGetContourHeight ()
 Gets the contour height needed to describe groove weld shape. More...
 
std::vector< NXOpen::Face * > GetFirstFacesetEndAdjacentFaces ()
 Gets the adjacent faces of the target solid. More...
 
std::vector< NXOpen::Face * > GetFirstFacesetStartAdjacentFaces ()
 Gets the adjacent faces of the target solid. More...
 
NXOpen::ExpressionGetGrooveAngle ()
 Gets the groove angle needed to describe groove weld. More...
 
NXOpen::ExpressionGetGrooveRadius ()
 Gets the groove radius needed to describe groove weld. More...
 
NXOpen::ExpressionGetPenetrationDepth ()
 Gets the penetration depth needed to describe groove weld. More...
 
NXOpen::ExpressionGetRootOpening ()
 Gets the root opening height needed to describe groove weld. More...
 
NXOpen::ExpressionGetRootPenetration ()
 Gets the root penetration needed to describe groove weld. More...
 
std::vector< NXOpen::Face * > GetSecondFacesetEndAdjacentFaces ()
 Gets the adjacent faces of the target solid. More...
 
std::vector< NXOpen::Face * > GetSecondFacesetStartAdjacentFaces ()
 Gets the adjacent faces of the target solid. More...
 
NXOpen::ExpressionGetSecondPenetrationDepth ()
 Gets the second penetration depth needed to describe groove weld. More...
 
NXOpen::Weld::WeldGrooveShape GrooveShape ()
 Returns the shape of the groove weld to create
More...
 
NXOpen::Weld::WeldGrooveType GrooveType ()
 Returns the groove creation type
More...
 
bool IsFieldWeld ()
 Returns the field weld status. More...
 
bool IsFirstFacesetNormalReversed ()
 Returns the side of the faceset to build the groove feature. More...
 
bool IsNumberOfSegments ()
 Returns the is number of segments option. More...
 
bool IsSecondFacesetNormalReversed ()
 Returns the side of the faceset to build the groove feature. More...
 
bool IsSegmentLength ()
 Returns the is segment length option. More...
 
bool IsSpacing ()
 Returns the is spacing option. More...
 
NXOpen::Weld::WeldArcMethod Method ()
 Returns the method
More...
 
NXOpen::ExpressionNumberOfSegments ()
 Returns the number of weld welds for a skip weld. More...
 
int NumberRequiredFaceSets ()
 Returns the number of connected parts. More...
 
NXOpen::Weld::WeldFeatureOutput OutputGeometryType ()
 Returns the output geometry type
More...
 
NXOpen::Weld::OutputType OutputType ()
 Returns the output type. More...
 
NXOpen::Weld::WeldPrepareEdges PrepareEdges ()
 Returns the apply edge preportion indicator. More...
 
NXOpen::Weld::WeldRootUpdate RootUpdate ()
 Returns the process type
More...
 
NXOpen::ScCollectorSecondFaceset ()
 Returns the second set of faces
More...
 
NXOpen::SectionSecondFacesetBottomEdges ()
 Returns the second set bottom edges to extend
More...
 
NXOpen::Point3d SecondFacesetHelpPoint ()
 Returns the second set help point. More...
 
NXOpen::SectionSecondFacesetTopEdges ()
 Returns the second set top edges to extend
More...
 
NXOpen::ExpressionSegmentLength ()
 Returns the segment length for a skip weld. More...
 
int SequenceNumber ()
 Returns the sequence number for the groove feature. More...
 
void SetBottomExtension (NXOpen::Weld::WeldGrooveExtension extensionType)
 Sets the extension method for the bottom edges
More...
 
void SetContourHeight (const NXString &contourHeight)
 Sets the contour height needed to describe groove weld
More...
 
void SetContourHeight (const char *contourHeight)
 Sets the contour height needed to describe groove weld
More...
 
void SetContourShape (NXOpen::Weld::WeldContourShape contourShape)
 Sets the contour contour shape. More...
 
void SetDistanceFromEnd (const NXString &endDistance)
 Sets the distance from the end of the faces to build the groove weld
More...
 
void SetDistanceFromEnd (const char *endDistance)
 Sets the distance from the end of the faces to build the groove weld
More...
 
void SetDistanceFromStart (const NXString &startDistance)
 Set the distance from the start of the faces to build the groove weld
More...
 
void SetDistanceFromStart (const char *startDistance)
 Set the distance from the start of the faces to build the groove weld
More...
 
void SetFieldWeld (bool fieldWeld)
 Sets the field weld status. More...
 
void SetFirstFaceset (NXOpen::ScCollector *faceCollector)
 Sets the first set of faces
More...
 
void SetFirstFacesetBottomEdges (NXOpen::Section *section)
 Sets the first set bottom edges to extend
More...
 
void SetFirstFacesetEndAdjacentFaces (const std::vector< NXOpen::Face * > &objects)
 Sets the adjacent faces of the target solid. More...
 
void SetFirstFacesetHelpPoint (const NXOpen::Point3d &helpPoint)
 Sets the first set help point. More...
 
void SetFirstFacesetNormalReversed (bool reversed)
 Sets the side of the faceset to build the groove feature. More...
 
void SetFirstFacesetStartAdjacentFaces (const std::vector< NXOpen::Face * > &objects)
 Sets the adjacent faces of the target solid. More...
 
void SetFirstFacesetTopEdges (NXOpen::Section *section)
 Sets the first set top edges to extend
More...
 
void SetGrooveAngle (const NXString &grooveAngle)
 Sets the groove angle needed to describe groove weld
More...
 
void SetGrooveAngle (const char *grooveAngle)
 Sets the groove angle needed to describe groove weld
More...
 
void SetGrooveRadius (const NXString &grooveAngle)
 Sets the groove radius needed to describe groove weld
More...
 
void SetGrooveRadius (const char *grooveAngle)
 Sets the groove radius needed to describe groove weld
More...
 
void SetGrooveShape (NXOpen::Weld::WeldGrooveShape grooveShape)
 Sets the shape of the groove weld to create
More...
 
void SetGrooveType (NXOpen::Weld::WeldGrooveType grooveType)
 Sets the groove creation type
More...
 
void SetMethod (NXOpen::Weld::WeldArcMethod method)
 Sets the method
More...
 
void SetNumberOfSegments (bool isNumberOfSegments)
 Sets the is number of segments option. More...
 
void SetNumberOfSegments (const NXString &numSegments)
 Sets the desired number of segments for the groove weld. More...
 
void SetNumberOfSegments (const char *numSegments)
 Sets the desired number of segments for the groove weld. More...
 
void SetNumberRequiredFaceSets (int numberRequiredFaceSets)
 Sets the number of connected parts. More...
 
void SetOutputGeometryType (NXOpen::Weld::WeldFeatureOutput outputGeometryType)
 Sets the output geometry type
More...
 
void SetOutputType (NXOpen::Weld::OutputType outputType)
 Sets the output type. More...
 
void SetPenetrationDepth (const NXString &penetrationDepth)
 Sets the penetration depth needed to describe groove weld
More...
 
void SetPenetrationDepth (const char *penetrationDepth)
 Sets the penetration depth needed to describe groove weld
More...
 
void SetPrepareEdges (NXOpen::Weld::WeldPrepareEdges prepareEdges)
 Sets the apply edge preportion indicator. More...
 
void SetRootOpening (const NXString &rootOpening)
 Sets the root opening height needed to describe groove weld
More...
 
void SetRootOpening (const char *rootOpening)
 Sets the root opening height needed to describe groove weld
More...
 
void SetRootPenetration (const NXString &rootPenetration)
 Sets the root penetration needed to describe groove weld
More...
 
void SetRootPenetration (const char *rootPenetration)
 Sets the root penetration needed to describe groove weld
More...
 
void SetRootUpdate (NXOpen::Weld::WeldRootUpdate rootUpdate)
 Sets the process type
More...
 
void SetSecondFaceset (NXOpen::ScCollector *faceCollector)
 Sets the second set of faces
More...
 
void SetSecondFacesetBottomEdges (NXOpen::Section *edgeCollector)
 Sets the second set bottom edges to extend
More...
 
void SetSecondFacesetEndAdjacentFaces (const std::vector< NXOpen::Face * > &objects)
 Sets the adjacent faces of the target solid. More...
 
void SetSecondFacesetHelpPoint (const NXOpen::Point3d &helpPoint)
 Sets the second set help point. More...
 
void SetSecondFacesetNormalReversed (bool reversed)
 Sets the side of the faceset to build the groove feature. More...
 
void SetSecondFacesetStartAdjacentFaces (const std::vector< NXOpen::Face * > &objects)
 Sets the adjacent faces of the target solid. More...
 
void SetSecondFacesetTopEdges (NXOpen::Section *edgeCollector)
 Sets the second set top edges to extend
More...
 
void SetSecondPenetrationDepth (const NXString &secondPenetrationDepth)
 Sets the penetration depth needed to describe groove weld
More...
 
void SetSecondPenetrationDepth (const char *secondPenetrationDepth)
 Sets the penetration depth needed to describe groove weld
More...
 
void SetSegmentLength (bool isSegmentLength)
 Sets the is segment length option. More...
 
void SetSegmentLength (const NXString &segmentLength)
 Sets the desired segment lengh for the skip weld. More...
 
void SetSegmentLength (const char *segmentLength)
 Sets the desired segment lengh for the skip weld. More...
 
void SetSequenceNumber (int sequenceNumber)
 Sets the sequence number for the groove feature. More...
 
void SetSpacing (bool isSpacing)
 Sets the is spacing option. More...
 
void SetSpacingDistance (const NXString &spacingDistance)
 Sets the desired spacing between skip welds. More...
 
void SetSpacingDistance (const char *spacingDistance)
 Sets the desired spacing between skip welds. More...
 
void SetTaperAtEnd (const NXString &endTaper)
 Sets the taper angle at the end. More...
 
void SetTaperAtEnd (const char *endTaper)
 Sets the taper angle at the end. More...
 
void SetTaperAtStart (const NXString &startTaper)
 Sets the taper angle at the start. More...
 
void SetTaperAtStart (const char *startTaper)
 Sets the taper angle at the start. More...
 
void SetTaperMethod (NXOpen::Weld::WeldTaperMethod taperMethod)
 Sets the taper method to use if tapering is specified. More...
 
void SetTopExtension (NXOpen::Weld::WeldGrooveExtension extensionType)
 Sets the the extension method for the top edges
More...
 
NXOpen::ExpressionSpacingDistance ()
 Returns the desired spacing between skip welds. More...
 
NXOpen::ExpressionTaperAtEnd ()
 Returns the taper angle at the end. More...
 
NXOpen::ExpressionTaperAtStart ()
 Returns the taper angle at the start. More...
 
NXOpen::Weld::WeldTaperMethod TaperMethod ()
 Returns the taper method to use if tapering is specified. More...
 
NXOpen::Weld::WeldGrooveExtension TopExtension ()
 Returns the the extension method for the top edges
More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a Groove Weld feature
To create a new instance of this class, use NXOpen::Weld::WeldManager::CreateWeldGrooveBuilder

Created in NX5.0.0.


Member Function Documentation

NXOpen::Weld::WeldGrooveExtension NXOpen::Weld::GrooveBuilder::BottomExtension ( )

Returns the extension method for the bottom edges

Deprecated:
Deprecated in NX9.0.0.

This functionality is no longer supported.


Created in NX5.0.0.

License requirements : None

NXOpen::Weld::WeldContourShape NXOpen::Weld::GrooveBuilder::ContourShape ( )

Returns the contour contour shape.

This is the shape on the top of the groove weld

Deprecated:
Deprecated in NX9.0.0. Use NXOpen::Weld::WeldGrooveBuilder::ContourType instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Weld::GrooveBuilder::DistanceFromEnd ( )

Returns the distance from the end of the faces to build the groove weld

Deprecated:
Deprecated in NX9.0.0.

Use NXOpen::Weld::WeldGrooveBuilder::EndDistance instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Weld::GrooveBuilder::DistanceFromStart ( )

Returns the distance from the start of the faces to build the groove weld

Deprecated:
Deprecated in NX9.0.0.

Use NXOpen::Weld::WeldGrooveBuilder::StartDistance instead.


Created in NX5.0.0.

License requirements : None

NXOpen::ScCollector* NXOpen::Weld::GrooveBuilder::FirstFaceset ( )

Returns the first set of faces

Deprecated:
Deprecated in NX9.0.0.

Use NXOpen::Weld::WeldGrooveBuilder::FaceSet1 instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Section* NXOpen::Weld::GrooveBuilder::FirstFacesetBottomEdges ( )

Returns the first set bottom edges to extend

Deprecated:
Deprecated in NX9.0.0.

Use NXOpen::Weld::WeldGrooveBuilder::EdgeSet1 instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Point3d NXOpen::Weld::GrooveBuilder::FirstFacesetHelpPoint ( )

Returns the first set help point.

If multiple solutions exist, the desired solution used will be the one closest to this point

Deprecated:
Deprecated in NX9.0.0. Use NXOpen::Weld::WeldGrooveBuilder::SeedPoint1 and NXOpen::Weld::WeldGrooveBuilder::SetSeedPoint1 instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Section* NXOpen::Weld::GrooveBuilder::FirstFacesetTopEdges ( )

Returns the first set top edges to extend

Deprecated:
Deprecated in NX9.0.0.

Use NXOpen::Weld::WeldGrooveBuilder::EdgeSet1 instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Weld::GrooveBuilder::GetContourHeight ( )

Gets the contour height needed to describe groove weld shape.

Returns
expression
Deprecated:
Deprecated in NX9.0.0. Use NXOpen::Weld::WeldGrooveBuilder::ContourHeight instead.


Created in NX5.0.0.

License requirements : None

std::vector<NXOpen::Face *> NXOpen::Weld::GrooveBuilder::GetFirstFacesetEndAdjacentFaces ( )

Gets the adjacent faces of the target solid.

These faces are used to trim the groove weld solid with.

Returns
the adjacent face reference objects
Deprecated:
Deprecated in NX9.0.0. This functionality is no longer supported.


Created in NX5.0.0.

License requirements : None

std::vector<NXOpen::Face *> NXOpen::Weld::GrooveBuilder::GetFirstFacesetStartAdjacentFaces ( )

Gets the adjacent faces of the target solid.

These faces are used to trim the groove weld solid with.

Returns
the adjacent face reference objects
Deprecated:
Deprecated in NX9.0.0. This functionality is no longer supported.


Created in NX5.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Weld::GrooveBuilder::GetGrooveAngle ( )

Gets the groove angle needed to describe groove weld.

Returns
expression
Deprecated:
Deprecated in NX9.0.0. Use NXOpen::Weld::WeldGrooveBuilder::GrooveAngle instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Weld::GrooveBuilder::GetGrooveRadius ( )

Gets the groove radius needed to describe groove weld.

Returns
expression
Deprecated:
Deprecated in NX9.0.0. Use NXOpen::Weld::WeldGrooveBuilder::GrooveRadius instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Weld::GrooveBuilder::GetPenetrationDepth ( )

Gets the penetration depth needed to describe groove weld.

Returns
expression
Deprecated:
Deprecated in NX9.0.0. Use NXOpen::Weld::WeldGrooveBuilder::PenetrationDepth instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Weld::GrooveBuilder::GetRootOpening ( )

Gets the root opening height needed to describe groove weld.

Returns
expression
Deprecated:
Deprecated in NX9.0.0. Use NXOpen::Weld::WeldGrooveBuilder::RootOpening and NXOpen::Weld::WeldGrooveBuilder::SetRootOpening instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Weld::GrooveBuilder::GetRootPenetration ( )

Gets the root penetration needed to describe groove weld.

Returns
expression
Deprecated:
Deprecated in NX9.0.0. Use NXOpen::Weld::WeldGrooveBuilder::RootPenetration and NXOpen::Weld::WeldGrooveBuilder::SetRootPenetration instead.


Created in NX5.0.0.

License requirements : None

std::vector<NXOpen::Face *> NXOpen::Weld::GrooveBuilder::GetSecondFacesetEndAdjacentFaces ( )

Gets the adjacent faces of the target solid.

These faces are used to trim the groove weld solid with.

Returns
the adjacent face reference objects
Deprecated:
Deprecated in NX9.0.0. This functionality is no longer supported.


Created in NX5.0.0.

License requirements : None

std::vector<NXOpen::Face *> NXOpen::Weld::GrooveBuilder::GetSecondFacesetStartAdjacentFaces ( )

Gets the adjacent faces of the target solid.

These faces are used to trim the groove weld solid with.

Returns
the adjacent face reference objects
Deprecated:
Deprecated in NX9.0.0. This functionality is no longer supported.


Created in NX5.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Weld::GrooveBuilder::GetSecondPenetrationDepth ( )

Gets the second penetration depth needed to describe groove weld.

This is only needed if face heights are different.

Returns
expression
Deprecated:
Deprecated in NX9.0.0. Use NXOpen::Weld::WeldGrooveBuilder::SecondPenetrationDepth instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Weld::WeldGrooveShape NXOpen::Weld::GrooveBuilder::GrooveShape ( )

Returns the shape of the groove weld to create

Deprecated:
Deprecated in NX9.0.0.

Use NXOpen::Weld::WeldGrooveBuilder::Types instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Weld::WeldGrooveType NXOpen::Weld::GrooveBuilder::GrooveType ( )

Returns the groove creation type

Deprecated:
Deprecated in NX9.0.0.

Use NXOpen::Weld::WeldGrooveBuilder::EdgeType and NXOpen::Weld::WeldGrooveBuilder::SetEdgeType instead.


Created in NX5.0.0.

License requirements : None

bool NXOpen::Weld::GrooveBuilder::IsFieldWeld ( )

Returns the field weld status.

If true then this is a field weld, if false it is not.

Deprecated:
Deprecated in NX9.0.0. Use NXOpen::Weld::WeldGrooveBuilder::Characteristics instead.


Created in NX5.0.0.

License requirements : None

bool NXOpen::Weld::GrooveBuilder::IsFirstFacesetNormalReversed ( )

Returns the side of the faceset to build the groove feature.

The feature will be built opposite the face closest to the help point


Deprecated:
Deprecated in NX9.0.0. This functionality is no longer supported.


Created in NX5.0.0.

License requirements : None

bool NXOpen::Weld::GrooveBuilder::IsNumberOfSegments ( )

Returns the is number of segments option.

This is used when creating skip welds to compute the spacing between them.

Deprecated:
Deprecated in NX9.0.0. Use NXOpen::Weld::WeldGrooveBuilder::Method and NXOpen::Weld::WeldGrooveBuilder::SetMethod instead.


Created in NX5.0.0.

License requirements : None

bool NXOpen::Weld::GrooveBuilder::IsSecondFacesetNormalReversed ( )

Returns the side of the faceset to build the groove feature.

The feature will be built opposite the face closest to the help point


Deprecated:
Deprecated in NX9.0.0. This functionality is no longer supported.


Created in NX5.0.0.

License requirements : None

bool NXOpen::Weld::GrooveBuilder::IsSegmentLength ( )

Returns the is segment length option.

This is used when creating skip welds to compute the spacing between them.

Deprecated:
Deprecated in NX9.0.0. Use NXOpen::Weld::WeldGrooveBuilder::Method and NXOpen::Weld::WeldGrooveBuilder::SetMethod instead.


Created in NX5.0.0.

License requirements : None

bool NXOpen::Weld::GrooveBuilder::IsSpacing ( )

Returns the is spacing option.

This is used when creating skip welds to compute the spacing between them.

Deprecated:
Deprecated in NX9.0.0. Use NXOpen::Weld::WeldGrooveBuilder::Method and NXOpen::Weld::WeldGrooveBuilder::SetMethod instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Weld::WeldArcMethod NXOpen::Weld::GrooveBuilder::Method ( )

Returns the method

Deprecated:
Deprecated in NX9.0.0.

Use NXOpen::Weld::WeldGrooveBuilder::CreateSkipWelds and NXOpen::Weld::WeldGrooveBuilder::SetCreateSkipWelds instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Weld::GrooveBuilder::NumberOfSegments ( )

Returns the number of weld welds for a skip weld.


Deprecated:
Deprecated in NX9.0.0. Use NXOpen::Weld::WeldGrooveBuilder::NumberOfWelds instead.


Created in NX5.0.0.

License requirements : None

int NXOpen::Weld::GrooveBuilder::NumberRequiredFaceSets ( )

Returns the number of connected parts.

Either one for two.

Deprecated:
Deprecated in NX9.0.0. Use NXOpen::Weld::WeldGrooveBuilder::SingleFaceSet and NXOpen::Weld::WeldGrooveBuilder::SetSingleFaceSet instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Weld::WeldFeatureOutput NXOpen::Weld::GrooveBuilder::OutputGeometryType ( )

Returns the output geometry type

Deprecated:
Deprecated in NX9.0.0.

This functionality is no longer supported.


Created in NX5.0.0.

License requirements : None

NXOpen::Weld::OutputType NXOpen::Weld::GrooveBuilder::OutputType ( )

Returns the output type.


Deprecated:
Deprecated in NX9.0.0. This functionality is no longer supported.


Created in NX5.0.0.

License requirements : None

NXOpen::Weld::WeldPrepareEdges NXOpen::Weld::GrooveBuilder::PrepareEdges ( )

Returns the apply edge preportion indicator.


Deprecated:
Deprecated in NX9.0.0. Use NXOpen::Weld::WeldGrooveBuilder::PrepareEdges and NXOpen::Weld::WeldGrooveBuilder::SetPrepareEdges instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Weld::WeldRootUpdate NXOpen::Weld::GrooveBuilder::RootUpdate ( )

Returns the process type

Deprecated:
Deprecated in NX9.0.0.

This functionality is no longer supported.


Created in NX5.0.0.

License requirements : None

NXOpen::ScCollector* NXOpen::Weld::GrooveBuilder::SecondFaceset ( )

Returns the second set of faces

Deprecated:
Deprecated in NX9.0.0.

Use NXOpen::Weld::WeldGrooveBuilder::FaceSet2 instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Section* NXOpen::Weld::GrooveBuilder::SecondFacesetBottomEdges ( )

Returns the second set bottom edges to extend

Deprecated:
Deprecated in NX9.0.0.

Use NXOpen::Weld::WeldGrooveBuilder::EdgeSet2 instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Point3d NXOpen::Weld::GrooveBuilder::SecondFacesetHelpPoint ( )

Returns the second set help point.

If multiple solutions exist, the desired solution used will be the one closest to this point

Deprecated:
Deprecated in NX9.0.0. Use NXOpen::Weld::WeldGrooveBuilder::SeedPoint2 and NXOpen::Weld::WeldGrooveBuilder::SetSeedPoint2 instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Section* NXOpen::Weld::GrooveBuilder::SecondFacesetTopEdges ( )

Returns the second set top edges to extend

Deprecated:
Deprecated in NX9.0.0.

Use NXOpen::Weld::WeldGrooveBuilder::EdgeSet2 instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Weld::GrooveBuilder::SegmentLength ( )

Returns the segment length for a skip weld.


Deprecated:
Deprecated in NX9.0.0. Use NXOpen::Weld::WeldGrooveBuilder::SegmentLength instead.


Created in NX5.0.0.

License requirements : None

int NXOpen::Weld::GrooveBuilder::SequenceNumber ( )

Returns the sequence number for the groove feature.

Each groove feature contains a solid. If multiple groove wels are to be created, you must specify the sequence of the groove weld you want. For example if you are expecting 3 welds to be created. You must create 3 groove weld features. The features will have sequence numbers 0,1 and 2.

Deprecated:
Deprecated in NX9.0.0. This functionality is no longer supported.


Created in NX5.0.0.

License requirements : None

void NXOpen::Weld::GrooveBuilder::SetBottomExtension ( NXOpen::Weld::WeldGrooveExtension  extensionType)

Sets the extension method for the bottom edges

Deprecated:
Deprecated in NX9.0.0.

This functionality is no longer supported.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
extensionTypeextension type
void NXOpen::Weld::GrooveBuilder::SetContourHeight ( const NXString contourHeight)

Sets the contour height needed to describe groove weld

Deprecated:
Deprecated in NX9.0.0.

Use NXOpen::Weld::WeldGrooveBuilder::ContourHeight instead.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
contourHeightcontour height
void NXOpen::Weld::GrooveBuilder::SetContourHeight ( const char *  contourHeight)

Sets the contour height needed to describe groove weld

Deprecated:
Deprecated in NX9.0.0.

Use NXOpen::Weld::WeldGrooveBuilder::ContourHeight instead.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
contourHeightcontour height
void NXOpen::Weld::GrooveBuilder::SetContourShape ( NXOpen::Weld::WeldContourShape  contourShape)

Sets the contour contour shape.

This is the shape on the top of the groove weld

Deprecated:
Deprecated in NX9.0.0. Use NXOpen::Weld::WeldGrooveBuilder::ContourType instead.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
contourShapecontour shape
void NXOpen::Weld::GrooveBuilder::SetDistanceFromEnd ( const NXString endDistance)

Sets the distance from the end of the faces to build the groove weld

Deprecated:
Deprecated in NX9.0.0.

Use NXOpen::Weld::WeldGrooveBuilder::EndDistance instead.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
endDistanceend distance
void NXOpen::Weld::GrooveBuilder::SetDistanceFromEnd ( const char *  endDistance)

Sets the distance from the end of the faces to build the groove weld

Deprecated:
Deprecated in NX9.0.0.

Use NXOpen::Weld::WeldGrooveBuilder::EndDistance instead.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
endDistanceend distance
void NXOpen::Weld::GrooveBuilder::SetDistanceFromStart ( const NXString startDistance)

Set the distance from the start of the faces to build the groove weld

Deprecated:
Deprecated in NX9.0.0.

Use NXOpen::Weld::WeldGrooveBuilder::StartDistance instead.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
startDistancestart distance
void NXOpen::Weld::GrooveBuilder::SetDistanceFromStart ( const char *  startDistance)

Set the distance from the start of the faces to build the groove weld

Deprecated:
Deprecated in NX9.0.0.

Use NXOpen::Weld::WeldGrooveBuilder::StartDistance instead.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
startDistancestart distance
void NXOpen::Weld::GrooveBuilder::SetFieldWeld ( bool  fieldWeld)

Sets the field weld status.

If true then this is a field weld, if false it is not.

Deprecated:
Deprecated in NX9.0.0. Use NXOpen::Weld::WeldGrooveBuilder::Characteristics instead.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
fieldWeldfield weld
void NXOpen::Weld::GrooveBuilder::SetFirstFaceset ( NXOpen::ScCollector faceCollector)

Sets the first set of faces

Deprecated:
Deprecated in NX9.0.0.

Use NXOpen::Weld::WeldGrooveBuilder::FaceSet1 instead.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
faceCollectorface collector
void NXOpen::Weld::GrooveBuilder::SetFirstFacesetBottomEdges ( NXOpen::Section section)

Sets the first set bottom edges to extend

Deprecated:
Deprecated in NX9.0.0.

Use NXOpen::Weld::WeldGrooveBuilder::EdgeSet1 instead.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
sectionsection
void NXOpen::Weld::GrooveBuilder::SetFirstFacesetEndAdjacentFaces ( const std::vector< NXOpen::Face * > &  objects)

Sets the adjacent faces of the target solid.

These faces are used to trim the groove weld solid with.

Deprecated:
Deprecated in NX9.0.0. This functionality is no longer supported.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
objectsobjects
void NXOpen::Weld::GrooveBuilder::SetFirstFacesetHelpPoint ( const NXOpen::Point3d helpPoint)

Sets the first set help point.

If multiple solutions exist, the desired solution used will be the one closest to this point

Deprecated:
Deprecated in NX9.0.0. Use NXOpen::Weld::WeldGrooveBuilder::SeedPoint1 and NXOpen::Weld::WeldGrooveBuilder::SetSeedPoint1 instead.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
helpPointhelp point
void NXOpen::Weld::GrooveBuilder::SetFirstFacesetNormalReversed ( bool  reversed)

Sets the side of the faceset to build the groove feature.

The feature will be built opposite the face closest to the help point


Deprecated:
Deprecated in NX9.0.0. This functionality is no longer supported.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
reversedreversed
void NXOpen::Weld::GrooveBuilder::SetFirstFacesetStartAdjacentFaces ( const std::vector< NXOpen::Face * > &  objects)

Sets the adjacent faces of the target solid.

These faces are used to trim the groove weld solid with.

Deprecated:
Deprecated in NX9.0.0. This functionality is no longer supported.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
objectsobjects
void NXOpen::Weld::GrooveBuilder::SetFirstFacesetTopEdges ( NXOpen::Section section)

Sets the first set top edges to extend

Deprecated:
Deprecated in NX9.0.0.

Use NXOpen::Weld::WeldGrooveBuilder::EdgeSet1 instead.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
sectionsection
void NXOpen::Weld::GrooveBuilder::SetGrooveAngle ( const NXString grooveAngle)

Sets the groove angle needed to describe groove weld

Deprecated:
Deprecated in NX9.0.0.

Use NXOpen::Weld::WeldGrooveBuilder::GrooveAngle instead.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
grooveAnglegroove angle
void NXOpen::Weld::GrooveBuilder::SetGrooveAngle ( const char *  grooveAngle)

Sets the groove angle needed to describe groove weld

Deprecated:
Deprecated in NX9.0.0.

Use NXOpen::Weld::WeldGrooveBuilder::GrooveAngle instead.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
grooveAnglegroove angle
void NXOpen::Weld::GrooveBuilder::SetGrooveRadius ( const NXString grooveAngle)

Sets the groove radius needed to describe groove weld

Deprecated:
Deprecated in NX9.0.0.

Use NXOpen::Weld::WeldGrooveBuilder::GrooveRadius instead.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
grooveAnglegroove angle
void NXOpen::Weld::GrooveBuilder::SetGrooveRadius ( const char *  grooveAngle)

Sets the groove radius needed to describe groove weld

Deprecated:
Deprecated in NX9.0.0.

Use NXOpen::Weld::WeldGrooveBuilder::GrooveRadius instead.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
grooveAnglegroove angle
void NXOpen::Weld::GrooveBuilder::SetGrooveShape ( NXOpen::Weld::WeldGrooveShape  grooveShape)

Sets the shape of the groove weld to create

Deprecated:
Deprecated in NX9.0.0.

Use NXOpen::Weld::WeldGrooveBuilder::Types instead.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
grooveShapegroove shape
void NXOpen::Weld::GrooveBuilder::SetGrooveType ( NXOpen::Weld::WeldGrooveType  grooveType)

Sets the groove creation type

Deprecated:
Deprecated in NX9.0.0.

Use NXOpen::Weld::WeldGrooveBuilder::EdgeType and NXOpen::Weld::WeldGrooveBuilder::SetEdgeType instead.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
grooveTypegroove type
void NXOpen::Weld::GrooveBuilder::SetMethod ( NXOpen::Weld::WeldArcMethod  method)

Sets the method

Deprecated:
Deprecated in NX9.0.0.

Use NXOpen::Weld::WeldGrooveBuilder::CreateSkipWelds and NXOpen::Weld::WeldGrooveBuilder::SetCreateSkipWelds instead.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
methodmethod
void NXOpen::Weld::GrooveBuilder::SetNumberOfSegments ( bool  isNumberOfSegments)

Sets the is number of segments option.

This is used when creating skip welds to compute the spacing between them.

Deprecated:
Deprecated in NX9.0.0. Use NXOpen::Weld::WeldGrooveBuilder::Method and NXOpen::Weld::WeldGrooveBuilder::SetMethod instead.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
isNumberOfSegmentsis number of segments
void NXOpen::Weld::GrooveBuilder::SetNumberOfSegments ( const NXString numSegments)

Sets the desired number of segments for the groove weld.


Deprecated:
Deprecated in NX9.0.0. Use NXOpen::Weld::WeldGrooveBuilder::NumberOfWelds instead.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
numSegmentsnum segments
void NXOpen::Weld::GrooveBuilder::SetNumberOfSegments ( const char *  numSegments)

Sets the desired number of segments for the groove weld.


Deprecated:
Deprecated in NX9.0.0. Use NXOpen::Weld::WeldGrooveBuilder::NumberOfWelds instead.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
numSegmentsnum segments
void NXOpen::Weld::GrooveBuilder::SetNumberRequiredFaceSets ( int  numberRequiredFaceSets)

Sets the number of connected parts.

Either one for two.

Deprecated:
Deprecated in NX9.0.0. Use NXOpen::Weld::WeldGrooveBuilder::SingleFaceSet and NXOpen::Weld::WeldGrooveBuilder::SetSingleFaceSet instead.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
numberRequiredFaceSetsnumber required face sets
void NXOpen::Weld::GrooveBuilder::SetOutputGeometryType ( NXOpen::Weld::WeldFeatureOutput  outputGeometryType)

Sets the output geometry type

Deprecated:
Deprecated in NX9.0.0.

This functionality is no longer supported.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
outputGeometryTypeoutput geometry type
void NXOpen::Weld::GrooveBuilder::SetOutputType ( NXOpen::Weld::OutputType  outputType)

Sets the output type.


Deprecated:
Deprecated in NX9.0.0. This functionality is no longer supported.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
outputTypeoutput type
void NXOpen::Weld::GrooveBuilder::SetPenetrationDepth ( const NXString penetrationDepth)

Sets the penetration depth needed to describe groove weld

Deprecated:
Deprecated in NX9.0.0.

Use NXOpen::Weld::WeldGrooveBuilder::PenetrationDepth instead.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
penetrationDepthpenetration depth
void NXOpen::Weld::GrooveBuilder::SetPenetrationDepth ( const char *  penetrationDepth)

Sets the penetration depth needed to describe groove weld

Deprecated:
Deprecated in NX9.0.0.

Use NXOpen::Weld::WeldGrooveBuilder::PenetrationDepth instead.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
penetrationDepthpenetration depth
void NXOpen::Weld::GrooveBuilder::SetPrepareEdges ( NXOpen::Weld::WeldPrepareEdges  prepareEdges)

Sets the apply edge preportion indicator.


Deprecated:
Deprecated in NX9.0.0. Use NXOpen::Weld::WeldGrooveBuilder::PrepareEdges and NXOpen::Weld::WeldGrooveBuilder::SetPrepareEdges instead.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
prepareEdgesprepare edges
void NXOpen::Weld::GrooveBuilder::SetRootOpening ( const NXString rootOpening)

Sets the root opening height needed to describe groove weld

Deprecated:
Deprecated in NX9.0.0.

Use NXOpen::Weld::WeldGrooveBuilder::RootOpening and NXOpen::Weld::WeldGrooveBuilder::SetRootOpening instead.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
rootOpeningroot opening
void NXOpen::Weld::GrooveBuilder::SetRootOpening ( const char *  rootOpening)

Sets the root opening height needed to describe groove weld

Deprecated:
Deprecated in NX9.0.0.

Use NXOpen::Weld::WeldGrooveBuilder::RootOpening and NXOpen::Weld::WeldGrooveBuilder::SetRootOpening instead.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
rootOpeningroot opening
void NXOpen::Weld::GrooveBuilder::SetRootPenetration ( const NXString rootPenetration)

Sets the root penetration needed to describe groove weld

Deprecated:
Deprecated in NX9.0.0.

Use NXOpen::Weld::WeldGrooveBuilder::RootPenetration and NXOpen::Weld::WeldGrooveBuilder::SetRootPenetration instead.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
rootPenetrationroot penetration
void NXOpen::Weld::GrooveBuilder::SetRootPenetration ( const char *  rootPenetration)

Sets the root penetration needed to describe groove weld

Deprecated:
Deprecated in NX9.0.0.

Use NXOpen::Weld::WeldGrooveBuilder::RootPenetration and NXOpen::Weld::WeldGrooveBuilder::SetRootPenetration instead.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
rootPenetrationroot penetration
void NXOpen::Weld::GrooveBuilder::SetRootUpdate ( NXOpen::Weld::WeldRootUpdate  rootUpdate)

Sets the process type

Deprecated:
Deprecated in NX9.0.0.

This functionality is no longer supported.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
rootUpdateroot update
void NXOpen::Weld::GrooveBuilder::SetSecondFaceset ( NXOpen::ScCollector faceCollector)

Sets the second set of faces

Deprecated:
Deprecated in NX9.0.0.

Use NXOpen::Weld::WeldGrooveBuilder::FaceSet2 instead.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
faceCollectorface collector
void NXOpen::Weld::GrooveBuilder::SetSecondFacesetBottomEdges ( NXOpen::Section edgeCollector)

Sets the second set bottom edges to extend

Deprecated:
Deprecated in NX9.0.0.

Use NXOpen::Weld::WeldGrooveBuilder::EdgeSet2 instead.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
edgeCollectoredge collector
void NXOpen::Weld::GrooveBuilder::SetSecondFacesetEndAdjacentFaces ( const std::vector< NXOpen::Face * > &  objects)

Sets the adjacent faces of the target solid.

These faces are used to trim the groove weld solid with.

Deprecated:
Deprecated in NX9.0.0. This functionality is no longer supported.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
objectsobjects
void NXOpen::Weld::GrooveBuilder::SetSecondFacesetHelpPoint ( const NXOpen::Point3d helpPoint)

Sets the second set help point.

If multiple solutions exist, the desired solution used will be the one closest to this point

Deprecated:
Deprecated in NX9.0.0. Use NXOpen::Weld::WeldGrooveBuilder::SeedPoint2 and NXOpen::Weld::WeldGrooveBuilder::SetSeedPoint2 instead.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
helpPointhelp point
void NXOpen::Weld::GrooveBuilder::SetSecondFacesetNormalReversed ( bool  reversed)

Sets the side of the faceset to build the groove feature.

The feature will be built opposite the face closest to the help point


Deprecated:
Deprecated in NX9.0.0. This functionality is no longer supported.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
reversedreversed
void NXOpen::Weld::GrooveBuilder::SetSecondFacesetStartAdjacentFaces ( const std::vector< NXOpen::Face * > &  objects)

Sets the adjacent faces of the target solid.

These faces are used to trim the groove weld solid with.

Deprecated:
Deprecated in NX9.0.0. This functionality is no longer supported.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
objectsobjects
void NXOpen::Weld::GrooveBuilder::SetSecondFacesetTopEdges ( NXOpen::Section edgeCollector)

Sets the second set top edges to extend

Deprecated:
Deprecated in NX9.0.0.

Use NXOpen::Weld::WeldGrooveBuilder::EdgeSet2 instead.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
edgeCollectoredge collector
void NXOpen::Weld::GrooveBuilder::SetSecondPenetrationDepth ( const NXString secondPenetrationDepth)

Sets the penetration depth needed to describe groove weld

Deprecated:
Deprecated in NX9.0.0.

Use NXOpen::Weld::WeldGrooveBuilder::SecondPenetrationDepth instead.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
secondPenetrationDepthsecond penetration depth
void NXOpen::Weld::GrooveBuilder::SetSecondPenetrationDepth ( const char *  secondPenetrationDepth)

Sets the penetration depth needed to describe groove weld

Deprecated:
Deprecated in NX9.0.0.

Use NXOpen::Weld::WeldGrooveBuilder::SecondPenetrationDepth instead.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
secondPenetrationDepthsecond penetration depth
void NXOpen::Weld::GrooveBuilder::SetSegmentLength ( bool  isSegmentLength)

Sets the is segment length option.

This is used when creating skip welds to compute the spacing between them.

Deprecated:
Deprecated in NX9.0.0. Use NXOpen::Weld::WeldGrooveBuilder::Method and NXOpen::Weld::WeldGrooveBuilder::SetMethod instead.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
isSegmentLengthis segment length
void NXOpen::Weld::GrooveBuilder::SetSegmentLength ( const NXString segmentLength)

Sets the desired segment lengh for the skip weld.


Deprecated:
Deprecated in NX9.0.0. Use NXOpen::Weld::WeldGrooveBuilder::SegmentLength instead.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
segmentLengthsegment length
void NXOpen::Weld::GrooveBuilder::SetSegmentLength ( const char *  segmentLength)

Sets the desired segment lengh for the skip weld.


Deprecated:
Deprecated in NX9.0.0. Use NXOpen::Weld::WeldGrooveBuilder::SegmentLength instead.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
segmentLengthsegment length
void NXOpen::Weld::GrooveBuilder::SetSequenceNumber ( int  sequenceNumber)

Sets the sequence number for the groove feature.

Each groove feature contains a solid. If multiple groove wels are to be created, you must specify the sequence of the groove weld you want. For example if you are expecting 3 welds to be created. You must create 3 groove weld features. The features will have sequence numbers 0,1 and 2.

Deprecated:
Deprecated in NX9.0.0. This functionality is no longer supported.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
sequenceNumbersequence number
void NXOpen::Weld::GrooveBuilder::SetSpacing ( bool  isSpacing)

Sets the is spacing option.

This is used when creating skip welds to compute the spacing between them.

Deprecated:
Deprecated in NX9.0.0. Use NXOpen::Weld::WeldGrooveBuilder::Method and NXOpen::Weld::WeldGrooveBuilder::SetMethod instead.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
isSpacingis spacing
void NXOpen::Weld::GrooveBuilder::SetSpacingDistance ( const NXString spacingDistance)

Sets the desired spacing between skip welds.


Deprecated:
Deprecated in NX9.0.0. Use NXOpen::Weld::WeldGrooveBuilder::Spacing instead.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
spacingDistancespacing distance
void NXOpen::Weld::GrooveBuilder::SetSpacingDistance ( const char *  spacingDistance)

Sets the desired spacing between skip welds.


Deprecated:
Deprecated in NX9.0.0. Use NXOpen::Weld::WeldGrooveBuilder::Spacing instead.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
spacingDistancespacing distance
void NXOpen::Weld::GrooveBuilder::SetTaperAtEnd ( const NXString endTaper)

Sets the taper angle at the end.

A positive number will taper towards the inside of the weld.

Deprecated:
Deprecated in NX9.0.0. Use NXOpen::Weld::WeldGrooveBuilder::EndAngle instead.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
endTaperend taper
void NXOpen::Weld::GrooveBuilder::SetTaperAtEnd ( const char *  endTaper)

Sets the taper angle at the end.

A positive number will taper towards the inside of the weld.

Deprecated:
Deprecated in NX9.0.0. Use NXOpen::Weld::WeldGrooveBuilder::EndAngle instead.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
endTaperend taper
void NXOpen::Weld::GrooveBuilder::SetTaperAtStart ( const NXString startTaper)

Sets the taper angle at the start.

A positive number will taper towards the inside of the weld.

Deprecated:
Deprecated in NX9.0.0. Use NXOpen::Weld::WeldGrooveBuilder::StartAngle instead.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
startTaperstart taper
void NXOpen::Weld::GrooveBuilder::SetTaperAtStart ( const char *  startTaper)

Sets the taper angle at the start.

A positive number will taper towards the inside of the weld.

Deprecated:
Deprecated in NX9.0.0. Use NXOpen::Weld::WeldGrooveBuilder::StartAngle instead.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
startTaperstart taper
void NXOpen::Weld::GrooveBuilder::SetTaperMethod ( NXOpen::Weld::WeldTaperMethod  taperMethod)

Sets the taper method to use if tapering is specified.


Deprecated:
Deprecated in NX9.0.0. Use NXOpen::Weld::WeldGrooveBuilder::TaperMethod and NXOpen::Weld::WeldGrooveBuilder::SetTaperMethod instead.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
taperMethodtaper method
void NXOpen::Weld::GrooveBuilder::SetTopExtension ( NXOpen::Weld::WeldGrooveExtension  extensionType)

Sets the the extension method for the top edges

Deprecated:
Deprecated in NX9.0.0.

This functionality is no longer supported.


Created in NX5.0.0.

License requirements : ugweld ("UG WELD")

Parameters
extensionTypeextension type
NXOpen::Expression* NXOpen::Weld::GrooveBuilder::SpacingDistance ( )

Returns the desired spacing between skip welds.


Deprecated:
Deprecated in NX9.0.0. Use NXOpen::Weld::WeldGrooveBuilder::Spacing instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Weld::GrooveBuilder::TaperAtEnd ( )

Returns the taper angle at the end.

A positive number will taper towards the inside of the weld.

Deprecated:
Deprecated in NX9.0.0. Use NXOpen::Weld::WeldGrooveBuilder::EndAngle instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Weld::GrooveBuilder::TaperAtStart ( )

Returns the taper angle at the start.

A positive number will taper towards the inside of the weld.

Deprecated:
Deprecated in NX9.0.0. Use NXOpen::Weld::WeldGrooveBuilder::StartAngle instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Weld::WeldTaperMethod NXOpen::Weld::GrooveBuilder::TaperMethod ( )

Returns the taper method to use if tapering is specified.


Deprecated:
Deprecated in NX9.0.0. Use NXOpen::Weld::WeldGrooveBuilder::TaperMethod and NXOpen::Weld::WeldGrooveBuilder::SetTaperMethod instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Weld::WeldGrooveExtension NXOpen::Weld::GrooveBuilder::TopExtension ( )

Returns the the extension method for the top edges

Deprecated:
Deprecated in NX9.0.0.

This functionality is no longer supported.


Created in NX5.0.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.